Try ERPNext Buy Support Partners Foundation

How do you install multiple version of erpnext

Is there a way to have multiple version of erpnext running on one pc? Like having v10 v11 v11.7 v12?
If so how do you do this?

1 Like

Hi @CuriousPasserby,

You just go through with following links .May be it will help

1 Like

@shraddha

both the link you provide runs different command.

can anyone tell me a step by step guide to install multiple instances.
2 Production environment v11, v12
2 staging environment v11, v12 (where we will change codes and stuff

also how do you propagate any changes you made in v11 staging env to the production env v11?

@CuriousPasserby

Once you are done with Pre-requistes which are required for installation of ERPNext.

You can use below commands to have multiple erpnext versions

1- mkdir $text
2- cd $text
3- virtualenv .
4- source ./bin/activate

5- ### use one bench branch from below ######

git clone -b master https://github.com/frappe/bench.git bench-repo
git clone -b develop https://github.com/frappe/bench.git bench-repo

6- pip install -e bench-repo

7- ### use one frappe version from below ######

bench init --frappe-branch version-12 --frappe-path https://github.com/frappe/frappe.git frappe-bench
bench init --frappe-branch version-11 --frappe-path https://github.com/frappe/frappe.git frappe-bench
bench init --frappe-branch v10.x.x --frappe-path https://github.com/frappe/frappe.git frappe-bench
bench init --frappe-branch v11.7 --frappe-path https://github.com/frappe/frappe.git frappe-bench

8- ### use one erpnext version from below ######

bench get-app --branch version-12 erpnext https://github.com/frappe/erpnext.git
bench get-app --branch version-11 erpnext https://github.com/frappe/erpnext.git
bench get-app --branch v10.x.x erpnext https://github.com/frappe/erpnext.git
bench get-app --branch v11.7 erpnext https://github.com/frappe/erpnext.git

9- bench new-site site_name

10- bench --site site_name install-app erpnext

Note : Always match the versions of erpnext and frappe, i.e. if you are installing erpnext v11 then use the version-11 statement for both.

1 Like